ReferenceAnnotation (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.io.ReferenceAnnotation class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io
Class ReferenceAnnotation

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojava.bio.AbstractAnnotation
              org.biojava.bio.seq.io.ReferenceAnnotation

All Implemented Interfaces:
  Serializable, Annotation, Changeable

Deprecated. Use org.biojavax.bio.seq.io framework instead

    public class ReferenceAnnotation

extends AbstractAnnotation

Since:
  1.3.1
Author:
  Lorna Morris
See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.biojava.bio.Annotation
`EMPTY_ANNOTATION, PROPERTY`

Constructor Summary
`ReferenceAnnotation()` Deprecated.

Method Summary
`protected Map` | `getProperties()` Deprecated. Implement this to return the Map delegate.
`protected boolean` | `propertiesAllocated()` Deprecated. A convenience method to see if we have allocated the properties Map.

Methods inherited from class org.biojava.bio.AbstractAnnotation
`asMap, containsProperty, equals, getProperty, hashCode, keys, removeProperty, setProperty, toString`

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, getChangeSupport, hasListeners, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Constructor Detail

### ReferenceAnnotation

    public ReferenceAnnotation()

  Deprecated.

Method Detail

### getProperties

    protected Map getProperties()

  Deprecated.
  Description copied from class: `AbstractAnnotation`
  Implement this to return the Map delegate. Modifying this return value will modify the properties associated with this annotation. From code in the 1.2 version of AbstractAnnotation

  Specified by:
    `getProperties` in class `AbstractAnnotation`
  Returns:
    a Map containing all properties

### propertiesAllocated

    protected boolean propertiesAllocated()

  Deprecated.
  Description copied from class: `AbstractAnnotation`
  A convenience method to see if we have allocated the properties Map.

  Specified by:
    `propertiesAllocated` in class `AbstractAnnotation`
  Returns:
    true if the properties have been allocated, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD